
ChiliProject - Bug # 961: deactivated users still get notfied on issue changes

Status: Declined Priority: Normal
Author: Harald FrieÃŸnegger Category: User accounts
Created: 2012-04-03 Assignee:
Updated: 2012-04-03 Due date:
Remote issue URL:
Affected version:
Description: users that got deactivated can't log in and can't be chosen as assignees on tickets.

however they still get notifications for issues they are watching.

iiuc, deactivating a user is some way of tentative deleting the account with the option to re-activate him.
if that's the case, no notifications should be sent, right?

Associated revisions
2008-03-31 10:51 pm - Jean-Philippe Lang 
Add overflow:auto to the content div (closes #676, #748, #961).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1314 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-04-03 02:58 pm - Felix Schäfer
- Status changed from Open to Needs more information

Harald FrieÃŸnegger wrote:
> if that's the case, no notifications should be sent, right?

There shouldn't indeed. Can you try to narrow down on what events they get notified?

2012-04-03 08:55 pm - Peter Mathis
- Status changed from Needs more information to Declined

i made some investigations on this, because i'm the maintainer of harald's chiliproject installation :)

the notifications described are made by the "redmine_reminder" plugin and it seems that this plugin doesn't respect users' active state. all other 
notifications on editing tickets aren't sent to deactivated assignees/watchers/creators ...

so i'll check out the plugin and try to fix it there. 

2012-04-03 08:57 pm - Felix Schäfer
Great, thanks for the info and feedback!
